package ru.pricepulse.parsingservice.wildberries_parser.converter;

import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;
import ru.pricepulse.parsingservice.enumeration.Category;
import ru.pricepulse.parsingservice.enumeration.Marketplace;
import ru.pricepulse.parsingservice.persistence.entity.ProductEntity;
import ru.pricepulse.parsingservice.wildberries_parser.service.dto.ProductInfoDto;

import java.time.LocalDateTime;


@Component
public class ProductInfoDto2ProductEntity implements Converter<ProductInfoDto, ProductEntity> {
    @Override
    public ProductEntity convert(ProductInfoDto source) {
        return ProductEntity.builder()
                .marketplace(Marketplace.WILDBERRIES)
                .category(Category.LAPTOP)
                .brand(source.getBrand())
                .productName(source.getName())
                .createdAt(LocalDateTime.now())
                .build();
    }
}
