package ru.pricepulse.parsingservice.wildberries_parser.service.client;

import lombok.AllArgsConstructor;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.stereotype.Service;
import org.springframework.web.reactive.function.client.WebClient;
import ru.pricepulse.parsingservice.wildberries_parser.configuration.WbProperties;

import java.util.Map;

@AllArgsConstructor
@Service
public class ClientImpl implements Client {

    private final WebClient webClient;
    private final WbProperties wbProperties;

    @Override
    public Map<String, Object> scrapPage(int page, String shard, String query) {
        String url = wbProperties.getCatalogWbUrl() +
                shard +
                query +
                "?dest=-1257786&page=" + page + "&subject=2290";

        return webClient.get()
                .uri(url)
                .retrieve()
                .bodyToMono(new ParameterizedTypeReference<Map<String, Object>>() {
                })
                .retry(50)
                .block();
    }
}
